/*
Company: Mybotic Malaysia
Website: www.mybotic.com.my
Author: Lim Xiang Yang
*/

#define VOLTAGE_SENSOR A0
#define OFFSET_VALUE 0

#include "Wire.h" // For I2C
#include "LCD.h" // For LCD
#include "LiquidCrystal_I2C.h" // Added library*

LiquidCrystal_I2C lcd(0x27, 2, 1, 0, 4, 5, 6, 7);

void setup()
{
  Serial.begin(9600);
  lcd.begin (16, 2); // 16 x 2 LCD module
  lcd.setBacklightPin(3, POSITIVE); // BL, BL_POL
  lcd.setBacklight(HIGH);
}

void loop()
{
  int volt = analogRead(A0);// read the input
  // map 0-1023 to 0-2500 and add correction offset
  double voltage = map(volt, 0, 1023, 0, 2500) + OFFSET_VALUE;
  voltage /= 100; // divide by 100 to get the decimal values
  lcd.setCursor(0,0);
  lcd.print("Voltage Reading:");
  lcd.setCursor(0,1);
  lcd.print(voltage);
  delay(500);
}
